libIDL r586 - trunk



Author: chpe
Date: Tue Jan 29 13:09:32 2008
New Revision: 586
URL: http://svn.gnome.org/viewvc/libIDL?rev=586&view=rev

Log:
======================= libIDL 0.8.10 =======================

2008-01-29  Christian Persch  <chpe gnome org>

	* autogen.sh: Fix autogen with automake 1.10.
	* NEWS:

Modified:
   trunk/ChangeLog
   trunk/NEWS
   trunk/autogen.sh
   trunk/configure.in

Modified: trunk/NEWS
==============================================================================
--- trunk/NEWS	(original)
+++ trunk/NEWS	Tue Jan 29 13:09:32 2008
@@ -1,3 +1,9 @@
+libIDL 0.8.10:
+
+        * Fix the build with glib 2.15
+        * Ignore "command-line" in addition to "command line" when handling
+          output from cpp (#474641, Sebastian Bober)
+
 libIDL 0.8.9:
 
 	* Add missing braces (Dominique Quatravaux)

Modified: trunk/autogen.sh
==============================================================================
--- trunk/autogen.sh	(original)
+++ trunk/autogen.sh	Tue Jan 29 13:09:32 2008
@@ -1,71 +1,15 @@
-#! /bin/sh
+#!/bin/sh
 # Run this to generate all the initial makefiles, etc.
 
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
-ORIGDIR=`pwd`
 
-DIE=0
+PKG_NAME="libIDL"
 
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
-	echo
-	echo "You must have autoconf installed to compile libIDL."
-	echo "Download the appropriate package for your distribution,"
-	echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/";
-	DIE=1
+which gnome-autogen.sh || {
+    echo "You need to install gnome-common from GNOME SVN and make"
+    echo "sure the gnome-autogen.sh script is in your \$PATH."
+    exit 1
 }
 
-(libtool --version) < /dev/null > /dev/null 2>&1 || {
-	echo
-	echo "You must have libtool installed to compile libIDL."
-	echo "Get ftp://alpha.gnu.org/gnu/libtool-1.0h.tar.gz";
-	echo "(or a newer version if it is available)"
-	DIE=1
-}
-
-if automake-1.9 --version < /dev/null > /dev/null 2>&1; then
-        AUTOMAKE=automake-1.9
-	ACLOCAL=aclocal-1.9
-elif automake-1.8 --version < /dev/null > /dev/null 2>&1; then
-        AUTOMAKE=automake-1.8
-	ACLOCAL=aclocal-1.8
-elif automake-1.7 --version < /dev/null > /dev/null 2>&1; then
-        AUTOMAKE=automake-1.7
-	ACLOCAL=aclocal-1.7
-else
-	echo
-	echo "You must have automake installed to compile libIDL."
-	echo "Get http://ftp.gnu.org/gnu/automake/automake-1.9.2.tar.gz";
-	echo "(or a newer version if it is available)"
-	DIE=1
-fi
-
-if test "$DIE" -eq 1; then
-	exit 1
-fi
-
-(test -f $srcdir/include/libIDL/IDL.h.in) || {
-	echo "You must run this script in the top-level libIDL directory"
-	exit 1
-}
-
-if test -z "$*"; then
-	echo "I am going to run ./configure with no arguments - if you wish "
-        echo "to pass any to it, please specify them on the $0 command line."
-fi
-
-for i in $srcdir
-do 
-  echo processing $i
-  cd $i
-  libtoolize --copy --force || exit $?
-  $ACLOCAL $ACLOCAL_FLAGS || exit $?
-  autoconf || exit $?
-  $AUTOMAKE --add-missing --copy || exit $?
-done
-cd $ORIGDIR
-
-echo "Running ./configure --enable-maintainer-mode" "$@"
-$srcdir/configure --enable-maintainer-mode "$@" || exit $?
-
-echo "Now type 'make' to compile libIDL."
+REQUIRED_AUTOMAKE_VERSION=1.9 . gnome-autogen.sh

Modified: trunk/configure.in
==============================================================================
--- trunk/configure.in	(original)
+++ trunk/configure.in	Tue Jan 29 13:09:32 2008
@@ -25,7 +25,7 @@
         [libIDL])
 AC_CONFIG_SRCDIR([include/libIDL/IDL.h.in])
 
-AM_INIT_AUTOMAKE(no-define)
+AM_INIT_AUTOMAKE([1.9 no-define no-dist-gzip dist-bzip2])
 
 AC_SUBST(LIBIDL_MAJOR_VERSION, [libidl_major_version])
 AC_SUBST(LIBIDL_MINOR_VERSION, [libidl_minor_version])



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]